PRISM2DL(8)

NAME
prism2dl - 802.11 frame dump utility

SYNOPSIS
prism2dl [OPTIONS] devname

DESCRIPTION
prism2dl User utility for downloading prism2 images

OPTIONS

-s (status)
    Show CIS, PDA from card and exit

-v (verbose)
    Show more status info during operation

-V (Version)
    Show version and exit

-n (nowrite)
    Do all processing, including card PDA read but do not write to card

-d (debug)
    Do all processing, excluding card PDA read but do not write to card. A valid interface name is _not_ required for this mode.

-g (generate)
    Show the PDA in a format readable by this program. Useful for saving the existing from a card.

IMAGEFILE OPTIONS

-r <file> (ram)
    Load SREC file to card RAM. This option may be specified multiple times. If the value is "stdin", the file will be read from stdin and the option may only be specified once.

-f <file> (flash)
    Load SREC file to card FLASH. This option may be specified multiple times. If the value is "stdin", the file will be read from stdin and the option may only be specified once.

PDA OPTIONS

-a <file> (addpdr)
    Add the PDRs from file to the PDA from card. This option may be specified multiple times.

-p <file> (pda)
    Replace the card PDA with the contents of file.

-m <haddr> (macaddr)
    Overwrite the MAC address PDR with the given value. <addr> ::= xx:xx:xx:xx:xx:xx, where xx is a two digit hex number.

-S <str> (Sernum)
    Overwrite the serial number PDR with the given string. String must be <= 12 characters, any extra will be truncated.

-l <adrr> (padloc)
    PDA location in card memory. Commonly values:
      HFA3841 ==> 0x003f0000
      HFA3842 ==> 0x007f0000

devname
    Linux device name (e.g. eth0, wlan0)

EXAMPLES
Review card status:
  prism2dl -s wlan0

Load a new PDA:
  prism2dl -p pdafile.txt wlan0
 or
  prism2dl -p pdafile.txt -a pda1.txt -a pda2.txt wlan0

  Note that the f/w images will most likely contain bogus plug info after
  rewriting the PDA by itself. It is generally recommended to reload the
  primage and secondary images at the same time as modifying the PDA.

Load a FLASH image _and_ PDA:
  prism2dl -p pdafile.txt -f CIS.hex -f primary.hex -f secondary.hex wlan0

Load a RAM image:
  prism2dl -a pda1.txt -r tertiary.hex

Note: PDA records are additive starting with the records from the card
   OR the records from the -p specified file. -a specified file(s)
   overwrite, append, or remove records one at a time. If multiple
   files are specified using the -a option, the files are processed
   from left to right. This implies that a record removed from the
   current working PDA may then be added again by a record that
   appears after the "remove" record in the file set.

AUTHOR
This minimal man page was written by Victor Seva.